package com.ejie.ab61.model.nora;

import java.math.BigDecimal;

/**
 * * T17Portal  
 * 
 *  
 */

public class T17Portal implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	// Clave compuesta
	private Long id;
	private String bloque;
	private String portal;
	private int numero;
	private String bis;
	private String codigoPostal;
	private String acepcion;
	private BigDecimal dxEd50;
	private BigDecimal dyEd50;
	private BigDecimal dxEtrs89;
	private BigDecimal dyEtrs89;
	private Long calleId;
	private String localidadId;
	private String estado;
	private Long tramoId;

	/**
	 * Method 'T17Portal'.
	 * 
	 */
	public T17Portal() {
	}

	/**
	 * Method 'T17Portal'.
	 * 
	 * @param id
	 *            Long
	 * @param bloque
	 *            String
	 * @param numero
	 *            Short
	 * @param bis
	 *            String
	 * @param codigoPostal
	 *            String
	 * @param acepcion
	 *            String
	 * @param dxEd50
	 *            BigDecimal
	 * @param dyEd50
	 *            BigDecimal
	 * @param dxEtrs89
	 *            BigDecimal
	 * @param dyEtrs89
	 *            BigDecimal
	 * @param calleId
	 *            Long
	 * @param localidadId
	 *            Long
	 * @param estado
	 *            String
	 * @param tramoId
	 *            Long
	 */
	public T17Portal(Long id, String bloque, int numero, String bis, String codigoPostal, String acepcion,
			BigDecimal dxEd50, BigDecimal dyEd50, BigDecimal dxEtrs89, BigDecimal dyEtrs89, Long calleId,
			String localidadId, String estado, Long tramoId) {

		this.id = id;
		this.bloque = bloque;
		this.numero = numero;
		this.bis = bis;
		this.codigoPostal = codigoPostal;
		this.acepcion = acepcion;
		this.dxEd50 = dxEd50;
		this.dyEd50 = dyEd50;
		this.dxEtrs89 = dxEtrs89;
		this.dyEtrs89 = dyEtrs89;
		this.calleId = calleId;
		this.localidadId = localidadId;
		this.estado = estado;
		this.tramoId = tramoId;
	}

	/**
	 * Method 'T17Portal'.
	 * 
	 * @param id
	 *            Long
	 */
	public T17Portal(Long id) {
		this.id = id;
	}

	/**
	 * Method 'getId'.
	 * 
	 * @return Long
	 */

	public Long getId() {
		return this.id;
	}

	/**
	 * Method 'setId'.
	 * 
	 * @param id
	 *            Long
	 * 
	 */

	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * Method 'getBloque'.
	 * 
	 * @return String
	 */

	public String getBloque() {
		return this.bloque;
	}

	/**
	 * Method 'setBloque'.
	 * 
	 * @param bloque
	 *            String
	 * 
	 */

	public void setBloque(String bloque) {
		this.bloque = bloque;
	}

	/**
	 * Method 'getNumero'.
	 * 
	 * @return int
	 */

	public int getNumero() {
		return this.numero;
	}

	/**
	 * Method 'setNumero'.
	 * 
	 * @param numero
	 *            Short
	 * 
	 */

	public void setNumero(Short numero) {
		this.numero = numero;
	}

	/**
	 * Method 'getBis'.
	 * 
	 * @return String
	 */

	public String getBis() {
		return this.bis;
	}

	/**
	 * Method 'setBis'.
	 * 
	 * @param bis
	 *            String
	 * 
	 */

	public void setBis(String bis) {
		this.bis = bis;
	}

	/**
	 * Method 'getCodigoPostal'.
	 * 
	 * @return String
	 */

	public String getCodigoPostal() {
		return this.codigoPostal;
	}

	/**
	 * Method 'setCodigoPostal'.
	 * 
	 * @param codigoPostal
	 *            String
	 * 
	 */

	public void setCodigoPostal(String codigoPostal) {
		this.codigoPostal = codigoPostal;
	}

	/**
	 * Method 'getAcepcion'.
	 * 
	 * @return String
	 */

	public String getAcepcion() {
		return this.acepcion;
	}

	/**
	 * Method 'setAcepcion'.
	 * 
	 * @param acepcion
	 *            String
	 * 
	 */

	public void setAcepcion(String acepcion) {
		this.acepcion = acepcion;
	}

	/**
	 * Method 'getDxEd50'.
	 * 
	 * @return BigDecimal
	 */

	public BigDecimal getDxEd50() {
		return this.dxEd50;
	}

	/**
	 * Method 'setDxEd50'.
	 * 
	 * @param dxEd50
	 *            BigDecimal
	 * 
	 */

	public void setDxEd50(BigDecimal dxEd50) {
		this.dxEd50 = dxEd50;
	}

	/**
	 * Method 'getDyEd50'.
	 * 
	 * @return BigDecimal
	 */

	public BigDecimal getDyEd50() {
		return this.dyEd50;
	}

	/**
	 * Method 'setDyEd50'.
	 * 
	 * @param dyEd50
	 *            BigDecimal
	 * 
	 */

	public void setDyEd50(BigDecimal dyEd50) {
		this.dyEd50 = dyEd50;
	}

	/**
	 * Method 'getDxEtrs89'.
	 * 
	 * @return BigDecimal
	 */

	public BigDecimal getDxEtrs89() {
		return this.dxEtrs89;
	}

	/**
	 * Method 'setDxEtrs89'.
	 * 
	 * @param dxEtrs89
	 *            BigDecimal
	 * 
	 */

	public void setDxEtrs89(BigDecimal dxEtrs89) {
		this.dxEtrs89 = dxEtrs89;
	}

	/**
	 * Method 'getDyEtrs89'.
	 * 
	 * @return BigDecimal
	 */

	public BigDecimal getDyEtrs89() {
		return this.dyEtrs89;
	}

	/**
	 * Method 'setDyEtrs89'.
	 * 
	 * @param dyEtrs89
	 *            BigDecimal
	 * 
	 */

	public void setDyEtrs89(BigDecimal dyEtrs89) {
		this.dyEtrs89 = dyEtrs89;
	}

	/**
	 * Method 'getCalleId'.
	 * 
	 * @return Long
	 */

	public Long getCalleId() {
		return this.calleId;
	}

	/**
	 * Method 'setCalleId'.
	 * 
	 * @param calleId
	 *            Long
	 * 
	 */

	public void setCalleId(Long calleId) {
		this.calleId = calleId;
	}

	/**
	 * Method 'getLocalidadId'.
	 * 
	 * @return Long
	 */

	public String getLocalidadId() {
		return this.localidadId;
	}

	/**
	 * Method 'setLocalidadId'.
	 * 
	 * @param localidadId
	 *            Long
	 * 
	 */

	public void setLocalidadId(String localidadId) {
		this.localidadId = localidadId;
	}

	/**
	 * Method 'getEstado'.
	 * 
	 * @return String
	 */

	public String getEstado() {
		return this.estado;
	}

	/**
	 * Method 'setEstado'.
	 * 
	 * @param estado
	 *            String
	 * 
	 */

	public void setEstado(String estado) {
		this.estado = estado;
	}

	/**
	 * Method 'getTramoId'.
	 * 
	 * @return Long
	 */

	public Long getTramoId() {
		return this.tramoId;
	}

	/**
	 * Method 'setTramoId'.
	 * 
	 * @param tramoId
	 *            Long
	 * 
	 */

	public void setTramoId(Long tramoId) {
		this.tramoId = tramoId;
	}

	/**
	 * @return the portal
	 */
	public String getPortal() {
		return this.portal;
	}

	/**
	 * @param portal
	 *            the portal to set
	 */
	public void setPortal(String portal) {
		this.portal = portal;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override()
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		// Clave compuesta

		result.append("[ id: ").append(this.id).append(" ]");

		result.append(", [ bloque: ").append(this.bloque).append(" ]");

		result.append(", [ numero: ").append(this.numero).append(" ]");

		result.append(", [ bis: ").append(this.bis).append(" ]");

		result.append(", [ codigoPostal: ").append(this.codigoPostal).append(" ]");

		result.append(", [ acepcion: ").append(this.acepcion).append(" ]");

		result.append(", [ dxEd50: ").append(this.dxEd50).append(" ]");

		result.append(", [ dyEd50: ").append(this.dyEd50).append(" ]");

		result.append(", [ dxEtrs89: ").append(this.dxEtrs89).append(" ]");

		result.append(", [ dyEtrs89: ").append(this.dyEtrs89).append(" ]");

		result.append(", [ calleId: ").append(this.calleId).append(" ]");

		result.append(", [ localidadId: ").append(this.localidadId).append(" ]");

		result.append(", [ estado: ").append(this.estado).append(" ]");

		result.append(", [ tramoId: ").append(this.tramoId).append(" ]");
		result.append("}");
		return result.toString();
	}

}
